#ifndef ESAME_H
#define ESAME_H
#include "Data.h"
#include <string>
using namespace std;

class Esame {
public:
   Esame(string, Data, int, bool);
   Esame(); // serve un costruttore di default!!!!
   ~Esame();
   void stampa();
   void printFormatoElenco();
   bool presaLode();
   int getVoto();
private:
   string denominazione;
   int voto;
   Data data_esame;
   bool controllaVoto(int v, bool lode);
   bool nullo();
};

#endif
